log4cplus::Layout Class Referenceabstract

This class is used to layout strings sent to an `log4cplus::Appender`. More...

`#include <layout.h>`

Inheritance diagram for log4cplus::Layout:
[legend]
Collaboration diagram for log4cplus::Layout:
[legend]

## Public Member Functions

| Layout ()
| Layout (const helpers::Properties &properties)
virtual | ~Layout ()=0
virtual void | formatAndAppend (log4cplus::tostream &output, const log4cplus::spi::InternalLoggingEvent &event)=0

## Protected Attributes

LogLevelManager & | llmCache

## Detailed Description

This class is used to layout strings sent to an `log4cplus::Appender`.

Definition at line 73 of file layout.h.

## Constructor & Destructor Documentation

## Layout() [1/2]

log4cplus::Layout::Layout | ( |  | ) |

## Layout() [2/2]

log4cplus::Layout::Layout | ( | const helpers::Properties & | properties | ) |

## ~Layout()

virtual log4cplus::Layout::~Layout | ( |  | ) |

pure virtual

## Member Function Documentation

## formatAndAppend()

virtual void log4cplus::Layout::formatAndAppend | ( | log4cplus::tostream & | output,
|  | const log4cplus::spi::InternalLoggingEvent & | event )

pure virtual

Implemented in log4cplus::PatternLayout, log4cplus::SimpleLayout, and log4cplus::TTCCLayout.

## Member Data Documentation

## llmCache

LogLevelManager& log4cplus::Layout::llmCache

protected

Definition at line 84 of file layout.h.

The documentation for this class was generated from the following file:

- layout.h